const std = @import("std");

pub fn main() !void {
    var file = try std.fs.cwd().openFile("input.txt", .{});
    defer file.close();

    var a = std.io.bufferedReader(file.reader());
    var readerStream = a.reader();

    var buf: [32]u8 = undefined;
    var max: i32 = 0;
    var cur: i32 = 0;
    while (try readerStream.readUntilDelimiterOrEof(&buf, '\n')) |line| {
        if (std.mem.eql(u8, line, "")) {
            max = std.math.max(max, cur);
            cur = 0;
        } else {
            cur += try std.fmt.parseInt(i32, line, 10);
        }
    }
    max = std.math.max(max, cur);
    cur = 0;

    std.debug.print("{d}\n", .{max});
}
